directories:
  output: C:\Users\Laptop\Desktop\slay\SLAY\dist\electron\Packaged
  buildResources: C:\Users\Laptop\Desktop\slay\SLAY\src-electron
  app: C:\Users\Laptop\Desktop\slay\SLAY\dist\electron\UnPackaged
appId: slay-gui
icon: C:\Users\Laptop\Desktop\slay\SLAY\src-electron\icons\icon
productName: slay
extraResources:
  - from: src-electron/icons
    to: icons
  - from: src-electron/resources
    to: ./
win:
  target: nsis
  icon: src-electron/icons/icon.ico
  artifactName: slay-Setup-${version}.${ext}
linux:
  target:
    - deb
  icon: src-electron/icons/linux
  category: Development
  maintainer: Yevhenii Dychenko <dichajeka@gmail.com>
  artifactName: slay_${version}_${arch}.${ext}
deb:
  afterInstall: src-electron/installer/linux/postinst
  afterRemove: src-electron/installer/linux/postrm
nsis:
  oneClick: false
  allowToChangeInstallationDirectory: true
  createDesktopShortcut: true
  include: src-electron/installer/env.nsh
  perMachine: true
  allowElevation: true
mac:
  target:
    - dmg
    - pkg
    - zip
  category: public.app-category.developer-tools
  icon: src-electron/icons/icon.icns
  artifactName: slay-${version}-mac.${ext}
  hardenedRuntime: true
  gatekeeperAssess: false
  entitlements: entitlements.mac.plist
  entitlementsInherit: entitlements.mac.plist
pkg:
  isRelocatable: false
  scripts: src-electron/installer/mac/scripts
files: []
electronVersion: 37.2.4
